- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# FUDaeMorphMethod Namespace Reference

Contains the morphing method for morph controllers and their conversion functions. More...

## Enumerations
enum | Method { NORMALIZED = 0, RELATIVE, UNKNOWN, DEFAULT = NORMALIZED }
| A morphing method. More...
## Functions
FCOLLADA_EXPORT Method | FromString (const char *value)
| Converts the COLLADA morph method string into a morph method.
FCOLLADA_EXPORT const char * | ToString (Method method)
| Converts the morph method into its COLLADA morph method string.
Method | FromString (const fm::string &value)
| Converts the FCollada texture channel string into a texture channel.

## Detailed Description

Contains the morphing method for morph controllers and their conversion functions.

## Enumeration Type Documentation

enum FUDaeMorphMethod::Method

  | A morphing method. Whether the vertex position is relative or absolute is irrelevant, as long as you use the correct weight generation function: NORMALIZED: base_weight = 1.0f - SUM(weight[t]) RELATIVE: base_weight = 1.0f, and position[k] = SUM(weight[t][k] * position[t][k]). Enumerator:
  NORMALIZED | Implies that the morph targets all have absolute vertex positions.
  RELATIVE | Implies that the morph targets have relative vertex positions.
  UNKNOWN | An unknown morphing method.

## Function Documentation

Method FUDaeMorphMethod::FromString | ( | const fm::string & | value | ) | `[inline]`

  | Converts the FCollada texture channel string into a texture channel. Parameters:
  | value | The COLLADA interpolation type string.
Returns: The interpolation type.

FCOLLADA_EXPORT Method FUDaeMorphMethod::FromString | ( | const char * | value | ) |

  | Converts the COLLADA morph method string into a morph method. Parameters:
  | value | The COLLADA morph method string.
Returns: The morph method.

FCOLLADA_EXPORT const char* FUDaeMorphMethod::ToString | ( | Method | method | ) |

  | Converts the morph method into its COLLADA morph method string. Parameters:
  | method | The morph method.
Returns: The COLLADA morph method string.